From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 23 May 2005<P>

<a href="http://www.stealthskater.com">http://www.stealthskater.com</a><BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 23 May 2005<P>

sassy,<BR>
i know what you mean...i can relate to nearly everything maya angelou has published...<BR>
CS58<BR>

<HR>
From: <a href="/blend/av.cgi?id=545">Madi</a><BR>
Date: 23 May 2005<P>

thank you Ali : )
<HR>
From: <a href="/blend/av.cgi?id=1511">sassy</a><BR>
Date: 23 May 2005<P>

ever post something and then wish you could take it back because it is utter crap?    I posted "Taking Inventory" this morning when i was half asleep and now that I reread it I realize it is truly horrid....is there any way to remove something, or is this monster stuck there for posterity?   
<HR>
From: <a href="/blend/av.cgi?id=872">cryingshame58</a><BR>
Date: 23 May 2005<P>

sassy,<BR>
i didn't think it was horrid...seemed sweet and intimate to me...I'm unsure what Kirk's capabilities are...I know he can remove comments from the board...I suppose anything is possible...please keep submitting your poetry here :)<BR>
i admire those that can write well and i am my own worst critic...i read the loveblender poetry for months before I posted anything...Gala and Jon encouraged me to write & post here...it's all art here and a good place to connect with others about authors and poetry...in my opinion, you can find a great deal of different levels of emotions (critics would call it drama) going on with every author that submits at the loveblender...it's okay because the ones worth connecting with are less judgemental...my best submits for me have been the fiction ones--go figure...<BR>
CS58
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 23 May 2005<P>

Sassy~<BR>
I've felt the same way before. I've submitted stuff while drunk and while stuck in the maelstrom of insanity. When I first started submitting stuff here I would get extremely nervous after clicking the "submit" button. And I've endured more than a few attacks on my writing and Board comments. My skin is a lot thicker now. When you write long enough and submit your poetry to other places and see your words in print and read your poems to live audiences, the stuff that goes on here matters less and less. I still submit here out of habit and it's the best poetry site I've found. Instant gratification/mortification has a lot to do with that. And I've met some cool people here whose opinions matter to me. Keep writing and taking risks.
<HR>
From: <a href="/blend/av.cgi?id=268">Misti</a><BR>
Date: 23 May 2005<P>

and p.s. Taking Inventory reminds me of a poem I read last night in the May 2005 issue of Poetry magazine. You have nothing to be ashamed of.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 23 May 2005<P>

chris <a href="/blend/wv.cgi?id=2005.05.23.19.31.26217">93 in the shade (if you can find any)</a> I’ve always read Hunter S. Thompson just to see what he would pull off next I suppose<BR>
<BR>
kindred_spirit49: <a href="/blend/wv.cgi?id=2005.05.22.20.33.19508">Blind Obsession</a> This is yummy, glad to have you back again. Hope this means that you’ll be writing more. Have missed your work around here.<BR>
<BR>
Misti: <a href="/blend/wv.cgi?id=2005.05.23.02.23.20967">Not Insomnia, Exactly</a> Your ability to let it all brilliantly hang out is amazing. I have a hard time choosing which ones I like there are so many. But the one about Jupiter is great  <a href="/blend/wv.cgi?id=2005.05.23.00.15.2117">Ramble of the Worst Kind</a> <BR>
<BR>
bk<BR>

<HR>